List Payout Requests
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/affiliate-payouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": null,
"perPage": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/affiliate-payouts"
payload = {
"status": None,
"perPage": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: null, perPage: null})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/affiliate-payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 1,
"shop_id": 1,
"shop_customer_id": 1,
"amount": 25,
"status": "pending",
"payout_details": "PayPal: customer@sellauth.test",
"seller_note": null,
"processed_by": null,
"processed_at": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"shop_customer": {
"id": 1,
"email": "customer@sellauth.test",
"affiliate_code": "PARTNER10",
"affiliate_balance": "0.00"
}
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/affiliate-payouts?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/affiliate-payouts?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/affiliate-payouts?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/affiliate-payouts",
"per_page": 20,
"prev_page_url": null,
"to": 1,
"total": 1
}Affiliate Payouts
List Payout Requests
Returns the shop’s affiliate payout requests, newest first.
GET
/
v1
/
shops
/
{shopId}
/
affiliate-payouts
List Payout Requests
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
application/json
Response
200 - application/json
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"id": 1,
"shop_id": 1,
"shop_customer_id": 1,
"amount": 25,
"status": "pending",
"payout_details": "PayPal: customer@sellauth.test",
"seller_note": null,
"processed_by": null,
"processed_at": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"shop_customer": {
"id": 1,
"email": "customer@sellauth.test",
"affiliate_code": "PARTNER10",
"affiliate_balance": "0.00"
}
}
]
Example:
"http://api.sellauth.test/v1/shops/1/affiliate-payouts?page=1"
Example:
1
Example:
1
Example:
"http://api.sellauth.test/v1/shops/1/affiliate-payouts?page=1"
Show child attributes
Show child attributes
Example:
[
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/affiliate-payouts?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
Example:
null
Example:
"http://api.sellauth.test/v1/shops/1/affiliate-payouts"
Example:
20
Example:
null
Example:
1
Example:
1